curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tests": [
{
"test_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"comparison_key": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"outcome_counts_available": true,
"cells": [
{
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"framework": "<string>",
"intent": "add",
"agent": "claude_code",
"model": "<string>",
"planned": 1,
"completed": 1,
"own_picks": 1,
"fallback_runs": 1,
"top_outcome": "installed",
"top_tool_key": "<string>",
"top_picks": 1,
"is_loss": true,
"own_led": true,
"none_runs": 1,
"unclassified_runs": 1,
"other_tool_runs": 1,
"tools": [
{
"outcome": "installed",
"tool_key": "<string>",
"runs": 1,
"picks": 1,
"rate": 0.5,
"rate_low": 0.5,
"rate_high": 0.5,
"measured": true,
"is_own": true,
"is_competitor": true
}
]
}
]
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>"
}Get Agent Picks test cells
Read per-model cells for up to eight distinct project-owned tests from history, with coverage, shared loss verdicts, fallback and outcome counts, and per-tool rates and Wilson ranges. Each test includes status; non-completed tests retain coverage only, with all tools unmeasured and null measurement counts, rates, ranges and verdicts. Each test includes comparison_key for its recorded category and requests; compare equal keys only and break history lines when keys change. Each test includes outcome_counts_available; the three outcome run counts are null when completed run detail is unavailable. Displayed coverage includes fallback guesses; loss decisions exclude them. Unmeasured tools have measured false and null rates. Requires Agent Picks.
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devtune.ai/api/v2/projects/{projectId}/agent-picks/cells")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tests": [
{
"test_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"comparison_key": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"outcome_counts_available": true,
"cells": [
{
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"framework": "<string>",
"intent": "add",
"agent": "claude_code",
"model": "<string>",
"planned": 1,
"completed": 1,
"own_picks": 1,
"fallback_runs": 1,
"top_outcome": "installed",
"top_tool_key": "<string>",
"top_picks": 1,
"is_loss": true,
"own_led": true,
"none_runs": 1,
"unclassified_runs": 1,
"other_tool_runs": 1,
"tools": [
{
"outcome": "installed",
"tool_key": "<string>",
"runs": 1,
"picks": 1,
"rate": 0.5,
"rate_low": 0.5,
"rate_high": 0.5,
"measured": true,
"is_own": true,
"is_competitor": true
}
]
}
]
}
]
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": 123,
"reason": "<string>"
}Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Query Parameters
Comma-separated project-owned test UUIDs, limited to 1 to 8 distinct IDs. Duplicates are returned once, in first-requested order.
36 - 2048